%define		_class		DBA
%define		_subclass	Relational
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	0.2.0
Release:	%mkrel 15
Epoch:		1
Summary:	Berkeley-style database abstraction class
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/DBA_Relational/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
Table management extension for DBA.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/doc
rm -rf %{buildroot}%{_datadir}/pear/test

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%doc %{upstream_name}-%{version}/docs/*
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:0.2.0-15.mga8
+ Revision: 1498789
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:0.2.0-14.mga7
+ Revision: 1273175
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 luigiwalser <luigiwalser> 1:0.2.0-13.mga6
+ Revision: 964584
- fix file list the correct way

* Wed Feb 17 2016 umeabot <umeabot> 1:0.2.0-12.mga6
+ Revision: 964485
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.2.0-11.mga5
+ Revision: 750136
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1:0.2.0-10.mga5
+ Revision: 734039
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1:0.2.0-9.mga5
+ Revision: 687208
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:0.2.0-8.mga4
+ Revision: 516670
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:0.2.0-7.mga3
+ Revision: 375970
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1:0.2.0-6.mga1
+ Revision: 47357
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-DBA_Relational


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.0-6mdv2011.0
+ Revision: 613626
- the mass rebuild of 2010.1 packages

* Wed Dec 16 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:0.2.0-5mdv2010.1
+ Revision: 479287
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1:0.2.0-4mdv2010.0
+ Revision: 440973
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.0-3mdv2009.1
+ Revision: 321949
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.0-2mdv2009.0
+ Revision: 236820
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1:0.2.0-1mdv2008.1
+ Revision: 140729
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon May 07 2007 Oden Eriksson <oeriksson@mandriva.com> 1:0.2.0-1mdv2008.0
+ Revision: 24079
- use epoch
- 0.2.0


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.19-7mdv2007.0
+ Revision: 81481
- Import php-pear-DBA_Relational

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.19-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.19-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.19-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.19-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.19-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.19-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.19-1mdk
- initial Mandriva package (PLD import)

